function mctsts:mechanic/advancements
function mctsts:mechanic/name

scoreboard objectives add fix dummy
scoreboard players add @a fix 1
tp @a[scores={fix=20}] 1000 15 1000

#Setup
function mctsts:util/area_main
scoreboard players add timer Time 1
execute if score timer Time matches 5.. run function mctsts:mechanic
#Functions
execute as @e[sort=random,limit=1,type=item] at @s run function mctsts:mechanic/placeable
function mctsts:mechanic/edge
execute as @e[tag=generator,type=!player,sort=random,limit=1] at @s run function mctsts:mechanic/generator
execute as @r[x=1000,y=8,z=999,distance=..100] at @s run function mctsts:mechanic/lobby_mechanic
execute as @r[x=1000,y=8,z=999,distance=..100] at @s unless entity @e[tag=lobby_dis] run function mctsts:mechanic/lobby
execute as @e[tag=area_main] at @s run function mctsts:mechanic/countdown
execute as @e[sort=random,limit=1,type=!player,tag=entity_spawn] at @s run function mctsts:mechanic/spawn
execute if score playing Stats matches 1.. run function mctsts:mechanic/main
execute if score ability Stats matches 1 run function mctsts:mechanic/abilities

execute if score mode Stats matches 1 as @e[tag=start] at @s run function mctsts:mechanic/starting
execute if score mode Stats matches 2 as @e[tag=start] at @s run function mctsts:mechanic/starting2

#Parkour
execute if block 1001 11 1010 stone_pressure_plate[powered=true] if block 1001 7 1009 stone_pressure_plate[powered=true] if block 1002 5 1000 stone_pressure_plate[powered=true] run tag @e[tag=area_main] add p1
execute if block 976 20 1026 stone_pressure_plate[powered=true] if block 983 20 1026 stone_pressure_plate[powered=true] run tag @e[tag=area_main] add p3

execute as @e[tag=p1] at @s run function mctsts:mechanic/parkour/1
execute as @e[tag=p2] at @s run function mctsts:mechanic/parkour/2
execute as @e[tag=p3] at @s run function mctsts:mechanic/parkour/3

#
scoreboard players remove @e[tag=area_main,scores={end=1..}] end 1
execute as @e[tag=area_main,scores={end=1}] at @s run tellraw @a ["",{"text":" |   ","color":"gray"},{"text":"Click [here] to reset your lobby checkpoint!","color":"green","italic":true,"clickEvent":{"action":"run_command","value":"/trigger trigger set 15"}}]
execute as @e[tag=area_main,scores={end=1}] at @s run function mctsts:mechanic/reset2
execute as @e[tag=area_main,scores={end=1}] at @s run function mctsts:mechanic/reset
execute as @e[tag=area_main,scores={end=1}] at @s run function mctsts:mechanic/lobby

execute as @e[tag=area_main,scores={end=1..}] at @s as @r[gamemode=adventure] at @s run summon minecraft:area_effect_cloud ~ ~ ~ {Radius:0.5f,Duration:2147483647,Tags:["vicRan"]}
execute as @e[tag=vicRan] at @s run spreadplayers ~ ~ 1 20 false @s
execute as @e[tag=vicRan] at @s run scoreboard players set r Random 25
execute as @e[tag=vicRan] at @s run function mctsts:util/random
execute if score n Random matches 1 as @e[tag=vicRan] at @s run summon firework_rocket ~ ~1 ~ {LifeTime:30,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:0,Colors:[I;16711680],FadeColors:[I;16711680]}]}}}}
execute if score n Random matches 2 as @e[tag=vicRan] at @s run summon firework_rocket ~ ~1 ~ {LifeTime:30,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:0,Colors:[I;3997460],FadeColors:[I;3997460]}]}}}}
execute if score n Random matches 3 as @e[tag=vicRan] at @s run summon firework_rocket ~ ~1 ~ {LifeTime:30,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:0,Colors:[I;16318262],FadeColors:[I;16318262]}]}}}}
execute if score n Random matches 4 as @e[tag=vicRan] at @s run summon firework_rocket ~ ~1 ~ {LifeTime:30,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:0,Colors:[I;4980991],FadeColors:[I;4980991]}]}}}}
kill @e[tag=vicRan]

execute as @e[type=area_effect_cloud,tag=!aec_detected] run data merge entity @s {Radius:0.0f}
execute as @e[type=area_effect_cloud,tag=!aec_detected] run data remove entity @s Particle
execute as @e[type=area_effect_cloud,tag=!aec_detected] run tag @s add aec_detected

clear @a minecraft:wheat
clear @a minecraft:wheat_seeds
kill @e[type=item,nbt={Item:{id:"minecraft:wheat"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:wheat_seeds"}}]


execute as @a[gamemode=spectator] at @s positioned ~ -50 ~ if entity @s[distance=..50] run tp @s ~ 50 ~

execute if score time Stats matches 60000 run tellraw @a ["",{"text":" |   \n |   ","color":"gray"},{"text":"Spirits have stopped spawning.","color":"gray"},{"text":"\n |   ","color":"gray"}]
execute as @e[tag=shop] at @s unless block ~ ~ ~ minecraft:ender_chest run setblock ~ ~ ~ minecraft:ender_chest