execute as @a[scores={deathsD=1},gamemode=!spectator] at @s run function mctsts:mechanic/death
function mctsts:shop/shop
clear @a #mctsts:spawn_eggs

execute positioned 0 0 0 as @a[distance=205..] at @s unless entity @s[y=-150,distance=..150] run particle minecraft:barrier ~ ~ ~ 6 6 6 0 1
execute positioned 0 0 0 as @a[distance=210..] at @s unless entity @s[y=-150,distance=..150] run particle minecraft:barrier ~ ~ ~ 6 6 6 0 2
execute positioned 0 0 0 as @a[distance=215..] at @s unless entity @s[y=-150,distance=..150] run particle minecraft:barrier ~ ~ ~ 6 6 6 0 3
execute positioned 0 0 0 as @a[distance=220..] at @s unless entity @s[y=-150,distance=..150] run particle minecraft:barrier ~ ~ ~ 6 6 6 0 4
execute positioned 0 0 0 as @a[distance=225..] at @s unless entity @s[y=-150,distance=..150] run particle minecraft:barrier ~ ~ ~ 6 6 6 0 5
execute positioned 0 0 0 as @a[distance=230..] at @s unless entity @s[y=-150,distance=..150] run particle minecraft:barrier ~ ~ ~ 6 6 6 0 10
execute positioned 0 0 0 as @a[distance=235..] at @s unless entity @s[y=-150,distance=..150] run particle minecraft:barrier ~ ~ ~ 6 6 6 0 15
execute positioned 0 0 0 as @a[distance=240..] at @s unless entity @s[y=-150,distance=..150] run particle minecraft:barrier ~ ~ ~ 6 6 6 0 20
execute positioned 0 0 0 as @a[distance=245..] at @s unless entity @s[y=-150,distance=..150] run particle minecraft:barrier ~ ~ ~ 6 6 6 0 25
execute positioned 0 0 0 as @a[distance=250..] at @s unless entity @s[y=-150,distance=..150] run kill @s

## 1.13 Update
# Functions
function mctsts:mechanic/bridge/aqueduct
function mctsts:mechanic/bridge/bridge
function mctsts:mechanic/fireball
function mctsts:mechanic/fireball2

# Vengeance
execute as @e[type=item,nbt={Item:{id:"minecraft:gray_dye"}},tag=vengeance] at @s unless entity @e[distance=..3,type=pig] run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=item,nbt={Item:{id:"minecraft:gray_dye"}},tag=vengeance] at @s at @a[distance=..3] unless entity @e[distance=..3,type=pig] run summon minecraft:lightning_bolt ~ ~ ~
execute as @e[type=item,nbt={Item:{id:"minecraft:gray_dye"}},tag=vengeance] at @s run kill @s
tag @e[type=item,nbt={Item:{id:"minecraft:gray_dye"}}] add vengeance

# Void Charm
execute as @a[nbt={Inventory:[{id:"minecraft:cyan_dye"}]}] unless score @s voidCharm matches 1.. at @s positioned ~ 0 ~ if entity @s[distance=..5] at @s if block ~ ~-1 ~ air run tag @s add doingVC
execute as @a[tag=doingVC] at @s run effect give @s minecraft:levitation 1 75 true
execute as @a[tag=doingVC] at @s run effect give @s minecraft:resistance 3 10 true
execute as @a[tag=doingVC] at @s run scoreboard players set @s voidCharm 10
execute as @a[tag=doingVC] at @s run playsound minecraft:item.trident.return master @s ~ ~ ~ 1 0
execute as @a[tag=doingVC] at @s run particle minecraft:enchanted_hit ~ ~ ~ 1 1 1 0.5 100
execute as @a[tag=doingVC] at @s run clear @s cyan_dye 1
execute as @a[tag=doingVC] at @s run tag @s remove doingVC
scoreboard players remove @a[scores={voidCharm=1..}] voidCharm 1
effect clear @a[scores={voidCharm=1}] levitation

# Armor Update
execute as @a[tag=armorUpdate,scores={armorMove=1..}] run function mctsts:player/armor
scoreboard players reset * armorMove

# Respawn
execute as @a[scores={death_time=61},gamemode=adventure,tag=teamA] at @s run tp @s ~ ~ ~ 180 ~
execute as @a[scores={death_time=61},gamemode=adventure] run function mctsts:player/start_items
scoreboard players add @a respawn 0
execute as @a[scores={respawn=1..,isDead=0}] run function mctsts:mechanic/respawn

team join spectator @a[tag=!teamA,tag=!teamB]

execute as @a[gamemode=spectator] at @s unless entity @a[gamemode=adventure,distance=..100] run tp @s @r[gamemode=adventure]

fill 46 34 9 48 34 7 air replace barrier
fill 46 34 -128 48 34 -130 air replace minecraft:barrier
team join spectator @a[gamemode=spectator,team=!spectator,scores={respawn=0}]
gamemode spectator @a[gamemode=!spectator,team=spectator,scores={respawn=0}]

execute as @e[tag=spawnA] at @s positioned ~ ~1 ~ run setblock ~ ~ ~ air
execute as @e[tag=spawnB] at @s positioned ~ ~1 ~ run setblock ~ ~ ~ air

execute as @a[gamemode=adventure,scores={deathE=1..}] run function mctsts:mechanic/death_effect_permanent

# Bells
scoreboard players add @a bell 0
scoreboard players remove @a[scores={bell=1..}] bell 1
execute as @a at @s store result score @s Success run clone ~1 ~1 ~1 ~-1 ~-1 ~-1 ~-1 ~-1 ~-1 filtered bell force
execute as @a[scores={Success=1..,bell=0},gamemode=adventure] at @s run function mctsts:mechanic/bell